Get Memory
curl --request GET \
--url https://api.example.com/api/v1/memories/{memory_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/memories/{memory_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/memories/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory_id": "<string>",
"user_id": "<string>",
"memory": "<string>",
"topics": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memory
Get Memory
Get a specific memory by ID.
Returns the memory details if it belongs to the current user.
GET
/
api
/
v1
/
memories
/
{memory_id}
Get Memory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Query Parameters
User ID
Response
Successful Response
Schema for memory response.
Unique identifier for the memory.
User ID who owns the memory.
The memory content.
Topics associated with the memory.
When the memory was created.
When the memory was last updated.
Additional metadata for the memory.